/* Login */
.autenticar {
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form {
    position: absolute;
    margin-top: 0px;
    width: 350px;
    padding: 20px;
    border-radius: 10px;
    background: #ffffff;
    border: 1.2px solid #e7e7e7;
}

.icone {
    border-radius: 10px;
    text-align: center;
    background-color: #000;
    height: 100px;
}

.form .icone img {
    padding-top: 30px;
    width: 200px;
    text-align: center;
}

.form .icone h5 {
    text-align: center;
    margin-top: 35px;
    font-size: .8em;
}

.icone p {
    text-align: center;
    font-size: .8em;
    margin-top: -7px;
}

.form.signup {
    opacity: 0;
    pointer-events: none;
}

.forms.show-signup .form.signup {
    opacity: 1;
    pointer-events: auto;
}

.forms.show-signup .form.login {
    opacity: 0;
    pointer-events: none;
}

.form .field {
    position: relative;
    height: 40px;
    width: 100%;
    margin-top: 20px;
    border-radius: 6px;
}

.field input,
.field button {
    height: 100%;
    width: 100%;
    border: none;
    font-size: .9em;
    font-weight: 400;
    border-radius: 6px;
}

.field input {
    outline: none;
    padding: 0 15px;
    border: 1px solid#000000;
}

.field input:focus {
    border-bottom-width: 2px;
}

.eye-icon {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    font-size: 1.1em;
    color: #8b8b8b;
    cursor: pointer;
    padding: 5px;
}

.field button {
    font-weight: 500;
    background-color: #000000;
    transition: all 0.3s ease;
    cursor: pointer;
    font-size: .9em;
    padding-top: 3px;
    padding-bottom: 8px;
}

.field button:hover {
    background-color: #2a2a2a;
}

.field button a {
    color: #fff;
}

.field button a:hover {
    color: #fff;
    text-decoration: none;
}

.form-link {
    text-align: right;
    margin-top: 10px;
    font-size: .9em;
}

.form a {
    color: #0f0f0f;
    text-decoration: none;
}

.form-content a:hover {
    margin-top: -20px;
    text-decoration: underline;
    color: #454545;
}


/* Responsive Tela Smartphone */
@media screen and (max-width: 768px) {

    .form {
        margin-top: -120px;
        width: 90%;
         border: 1.2px solid #ffffff;
    }

    .autenticar {
        height: 100vh;
        margin: 10px auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .form .field {
        position: relative;
        height: 50px;
        width: 100%;
        margin-top: 30px;
        border-radius: 6px;
    }

    .form .icone h5 {
        text-align: center;
        margin-top: 35px;
        font-size: .9em;
    }

    .icone p {
        text-align: center;
        font-size: .9em;
        margin-top: -7px;
    }

    .form.signup {
        opacity: 0;
        pointer-events: none;
    }

    .forms.show-signup .form.signup {
        opacity: 1;
        pointer-events: auto;
    }

    .forms.show-signup .form.login {
        opacity: 0;
        pointer-events: none;
    }

    .form .field {
        position: relative;
        height: 50px;
        width: 100%;
        margin-top: 20px;
        border-radius: 6px;
    }

    .field input,
    .field button {
        height: 100%;
        width: 100%;
        border: none;
        font-size: .9em;
        font-weight: 400;
        border-radius: 6px;
    }

    .field input {
        outline: none;
        padding: 0 15px;
        border: 1px solid#000000;
    }

    .field input:focus {
        border-bottom-width: 2px;
    }

    .eye-icon {
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translateY(-50%);
        font-size: 1.2em;
        color: #8b8b8b;
        cursor: pointer;
        padding: 5px;
    }

    .field button {
        font-weight: 500;
        background-color: #000000;
        transition: all 0.3s ease;
        cursor: pointer;
        font-size: 1em;
        padding-top: 3px;
        padding-bottom: 8px;
    }

    .field button:hover {
        background-color: #2a2a2a;
    }

    .field button a {
        color: #fff;
    }

    .field button a:hover {
        color: #fff;
        text-decoration: none;
    }

    .form-link {
        text-align: right;
        margin-top: 10px;
        font-size: .8em;
    }

    .form a {
        color: #0f0f0f;
        text-decoration: none;
    }

    .form-content a:hover {
        margin-top: -20px;
        text-decoration: underline;
        color: #454545;
    }
}